Compilation of wpa_gui fail with wpa_supplicant-0.4.5

Jouni Malinen jkmaline at cc.hut.fi
Wed Oct 12 00:05:17 EDT 2005


On Wed, Oct 12, 2005 at 01:56:33AM +0200, COLIN Stéphane wrote:

> By the way, it look like the wpa_gui was not compiled by default ...

> In file included from .ui/wpagui.cpp:32:
> wpagui.ui.h: In member function `void WpaGui::destroy()':
> wpagui.ui.h:74: error: `free' undeclared (first use this function)

I haven't seen this on any of the systems I use to build wpa_gui. Based
on the errors, it looks like wpagui.cpp should include stdlib.h and
unistd.h to get prototypes for the functions causing this. If you want
to test this, it should be possible to add these into wpagui.ui files in
the includes section. These should have location="global" and
impldecl="in implementation".

Which versions of the compiler and Qt are you using?
 
-- 
Jouni Malinen                                            PGP id EFC895FA



More information about the HostAP mailing list